@charset "utf-8";
/* CSS Document */

body, html {
    height: 100%;
}

body {
	overflow-x: hidden;
}

html {
	overflow-x: visible!important;
	scroll-behavior: smooth;
}

@font-face {
  font-family: Algerian;
  src: url("fonts/Algerian Regular/Algerian Regular.ttf");
}

/*FONTS*/
.primary-font{
font-family: "expressway", sans-serif;
font-weight: 400;
font-style: normal;
}

.secondary-font{
font-family: "bebas-neue-pro-expanded", sans-serif;
font-weight: 400;
font-style: normal;
}

.cursive-font{
font-family: lindsey-signature, sans-serif;
font-weight: 400;
font-style: normal;
}

.subheader-font{
font-family: "darkmode-on", sans-serif;
font-weight: 500;
font-style: normal;
}

/*GENERAL RULES*/
.z-to-front{
	z-index: 900;
}

.no-bullets{
	list-style-type:none!important;
}

.no-decoration{
	text-decoration: none!important;
}

.image-contain{
	object-fit: contain;
}

.image-cover{
	width: 100%;
    height: 100%;
    object-fit: cover;
}

.flip-pic{
	-webkit-transform: scaleX(-1);
	transform: scaleX(-1);
}

.border-red{
	border-style: solid none solid none;
	border-width: thin;
	border-color: #9e0e12;
}

.redline{
	height: 3px;
	background-color: #9e0e12;
}

.redlineThin{
	height: 1px;
	background-color: #9e0e12;
}

.extra-wide{
	width: max-content;
}

.waypoint-vis{
	opacity: 0;
}

.redStroke{
	border-top: solid;
	border-width: 12px;
	border-color: #9e0e12;
}

/*TEXT FORMATTING*/
.text-darkgrey{
	color: #2F2F2F!important;
}

.text-lightgrey{
	color: #4A4A4E!important;
}

.text-cream{
	color: #f9f6f2!important;
}

.text-red{
	color:#9e0e12!important;
}

.text-lightgrey{
  color: #9b9b9b;
}

.text-sideways{
	writing-mode: vertical-rl;
	text-orientation: mixed;
}

.xl-tracking{
	letter-spacing: 14px;
}

.large-tracking{
	letter-spacing: 10px;
}

.med-tracking{
	letter-spacing: 6px;
} 

.small-tracking{
	letter-spacing: 4px;
}

.xs-tracking{
	letter-spacing: 2px;
}

.dropcap{
	float: left;
	font-size: 7rem;
	line-height: 0.75;
	margin: -0.1em, 0.1em, 0, 0;
}

.justify-text{
	text-align: justify;
  	text-justify: inter-word;
}

.redtitle{
	background-color: #9e0e12;
  	color: transparent;
	text-shadow: 4px 4px 5px rgba(255,255,255,0.12);
  	 -webkit-background-clip: text;
     -moz-background-clip: text;
          background-clip: text;
}

.logoText {
	display: inline-block;
}

.contactTextN{
	font-size: calc(1.4rem + .3vw)!important;
	letter-spacing: 10px;
}

.large-title{
	font-size: 8rem;
}

.text-shadow1 {
color: #333333;
text-shadow: 2px 2px 0px #FFFFFF, 5px 4px 0px rgba(0,0,0,0.15);
}

/*LINK AND HOVER EFFECTS*/

.link-hover{
	text-decoration: none;
}

.link-hover:hover{
	text-decoration-line: overline;
	text-decoration-color: #9e0e12;
}

.cover-hover:hover{
	box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.texthover{
	opacity: 75%;
}

.texthover:hover{
	opacity: 100%;
}

.text-link-red{
	color: #9e0e12;
}

.text-link-red:hover{
	color: #DB1C1F;
}

.white-text-link{
	text-decoration: none;
	color: white!important;
}

.white-text-link:hover{
	text-decoration: underline;
}

.contact-hover:hover{
	color: #9e0e12!important;
}

.box {
  box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
  transition: all 0.25s cubic-bezier(.25,.8,.25,1);
}

.box:hover {
  animation-name: example;
  animation-duration: 0.25s;
  animation-timing-function: easeInExpo;
  border-left: 8px solid #9e0e12;
  box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);
}
@keyframes example {
    0%   {border-left: 0px solid #ffffff;}
    100% {border-left: 8px solid #9e0e12;}
}

/*BACKGROUNDS*/
.grey-bgnd{
	background-color: #f4efe6!important;
}

.offwhite-bgnd{
	background-color: #fcf8f2!important;
}

.cream-bgnd{
	background-color: #f9f6f2!important;
}

.redBackground{
	background-color: #9e0e12!important;
}

.bg-white-faded{
	background-color: rgba(255,255,255,0.30);
}

.mainBackground{ 
	background-color: #C4C4C4;
	height: 100%;
	z-index: -2;
}

.mainBackgroundImg{ 
	background-image: url("images/background/cattle-in-field.jpg");
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	z-index: -100;
}

.juniorBackgroundImg{ 
	background-image: url("images/background/juniorBG.jpg");
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	z-index: -100;
}

.CJHABackgroundImg{ 
	background-image: url("images/background/cad.jpg");
	background-repeat: no-repeat;
	background-size: cover;
	background-position: top;
	z-index: -100;
}

.calendarBackgroundImg{ 
	top: 25%;
	left: 50%;
	transform: translate(-50%,-50%);
	z-index: -100;
	background-color: #fcf8f2!important;
}


.aboutBackgroundImg{ 
	top: 30%;
	left: 50%;
	transform: translate(-50%,-50%);
	z-index: -100;
	background-color: #fcf8f2!important;
}

.contactBackgroundImg{ 
	background-image: url("images/background/contact-bg.jpg");
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	z-index: -100;
}

/*NAVIGATION*/
.nav-color.scrolled {
    background-color: #161414!important;
    transition: background-color 200ms linear;
}

.menu-hover{
	border-top-style: solid!important;
	border-top-color: transparent!important;
	border-top-width: thin!important;
}

.menu-hover:hover{
	border-top-style: solid;
	border-top-color: #9e0e12!important;
	border-top-width: thin;
}

.logo img{
	height: 4.3vmax;
}

.active{
	border-top-style: solid!important;
	border-top-color: #9e0e12!important;
	border-top-width: thin!important;
}

.dropdown-toggle {
    text-align: center;
}

/*BUTTONS*/
.solid-button{
	border: none;
	background-color: #9e0e12!important;
	color: #f4f2f2;
	transition: 0.3s all ease-in-out;
	display: inline-block;
  	position: relative;
}

.solid-button:hover{
	background-color: #840707!important;
}

.solid-button:hover:after {
  opacity: 1;
  right: 15px;
  top: 0px;
  bottom: 0px;
  left: auto;
}

.solid-button:after {
  content: '»';
  position: absolute;
  opacity: 0;  
  margin: auto;
  padding-top: 2px;
  top: 0px;
  bottom: 0px;
  right: -20px;
  left: auto;
  transition: 0.5s;
}

.solid-btn{
	height: 48px;
}

.red-solid-button{
	border: none;
	background-color: #9e0e12!important;
	color: #f4f2f2;
	border-radius: 3px;
}

.red-solid-button:hover{
	background-color: #840707!important;
}

.white-solid-button{
	border: none;
	background-color: white!important;
	border-radius: 3px;
}

.white-solid-button:hover{
	background-color: floralwhite!important;
}

.curved-edges{
	border-radius: 10px;
}

.border-buttonRed{
	border: solid medium;
	border-color: #9e0e12!important;
	background-color: rgba(0,0,0,0.00);
	color: #9e0e12!important;
}

.border-buttonRed:hover{
	background-color: #840707!important;
	color: white!important;
}

.border-buttonRed-Thin{
	border: solid thin;
	border-color: #9e0e12!important;
	background-color: rgba(0,0,0,0.00);
	color: #9e0e12!important;
}

.border-buttonRed-Thin:hover{
	background-color: #840707!important;
	color: white!important;
}

.border-button{
	border: solid medium;
	border-color: #353535!important;
	background-color: rgba(0,0,0,0.00);
	color: #353535;
}

.border-button:hover{
	background-color: #353535!important;
	color: white; 
}

.border-btn{
	height: 43px;
}

.border-buttonFB{
	border: solid thin;
	border-color: #4267B2;
	background-color: rgba(0,0,0,0.00);
	color: #4267B2!important;
}

.border-buttonFB:hover{
	background-color: #4267B2!important;
	color: white!important;
}

.border-buttonTW{
	border: solid thin;
	border-color: #1DA1F2!important;
	background-color: rgba(0,0,0,0.00);
	color: #1DA1F2!important;
}

.border-buttonTW:hover{
	background-color: #1DA1F2!important;
	color: white!important;
}

/*FORMS AND FUNCTIONS*/
.form-control:focus {
  border-color: #9e0e12!important;
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(137, 0, 13, 0.4)!important;
}

.active.active-card-tab{
	border-top-style: none!important;
	border: none!important;
}

.bootstrap-select.form-control {
    border: 1px solid #ced4da!important;
}

.slick-prev:before {
	color: #9e0e12!important;
}

.slick-next:before {
	color: #9e0e12!important;
}

.slick-dots li button::before {
    font-size: 16px;
    color: #fff!important;
    opacity: 0.7;
	padding-top: 8px;
  }

.slick-dots li.slick-active button::before {
    color: #fff!important;
    opacity: 1;
	padding-top: 8px;
  }

/*OTHER CLASSES*/

.newSire{
  position: absolute;
  top: 2px;
  left: 4px;
}

.custom-aboutimg{
	height: 150%;
}

.custom-width{
	width: 35%;
}

.select2-container {
    width: 100% !important;
}

.select2-container--bootstrap-5.select2-container--focus .select2-selection, .select2-container--bootstrap-5.select2-container--open .select2-selection {
    border-color: #9e0e12!important;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(137, 0, 13, 0.4)!important;
}

.form-select:focus {
  outline: none!important;
  border: thin solid!important;
  border-color:  #9e0e12!important;
  box-shadow: 0 1px 1px rgba(204, 5, 5, 0.075) inset, 0 0 8px rgba(201, 10, 10, 0.6)!important;
}

textarea:focus, input[type="text"]:focus, input[type="password"]:focus, input[type="datetime"]:focus, input[type="datetime-local"]:focus, input[type="date"]:focus, input[type="month"]:focus, input[type="time"]:focus, input[type="week"]:focus, input[type="number"]:focus, input[type="email"]:focus, input[type="url"]:focus, input[type="search"]:focus, input[type="tel"]:focus, input[type="color"]:focus, .uneditable-input:focus {
    border: thin solid!important;
    border-color: rgba(172, 40, 40, 0.8)!important;
    outline: 0 none !important;
}

.form-control:focus {
  border-color: rgba(172, 40, 40, 0.8)!important;
  box-shadow: 0 1px 1px rgba(204, 5, 5, 0.075) inset, 0 0 8px rgba(201, 10, 10, 0.6)!important;
}

.dropdown-menu .dropdown-item:hover {
    background-color: #9e0e12 !important; 
    color: white !important; 
}

select option:checked {
    background-color: #9e0e12 !important; 
    color: white !important; 
}

.select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: #9e0e12 !important; 
    color: white !important; 
}

.select2-results__option:hover {
    background-color: #9e0e12 !important;
    color: white !important;
}

.select2-container--bootstrap-5 .select2-results__option--highlighted {
    background-color: #9e0e12 !important; 
    color: white !important;
}

.select2-container--bootstrap-5 .select2-dropdown .select2-search .select2-search__field:focus {
    border-color: rgba(172, 40, 40, 0.8)!important;
    box-shadow: 0 1px 1px rgba(204, 5, 5, 0.075) inset, 0 0 8px rgba(201, 10, 10, 0.6)!important;
}

.select2-container--bootstrap-5.select2-container--focus .select2-selection, .select2-container--bootstrap-5.select2-container--open .select2-selection {
    border-color: rgba(172, 40, 40, 0.8)!important;
    box-shadow: 0 1px 1px rgba(204, 5, 5, 0.075) inset, 0 0 8px rgba(201, 10, 10, 0.6)!important;
}

.select2-container--bootstrap-5 .select2-dropdown {
    z-index: 1056;
    overflow: hidden;
    color: #212529;
    background-color: #fff;
    border-color: rgba(172, 40, 40, 0.8)!important;
    border-radius: .25rem;
}

.select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option.select2-results__option--selected, .select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option[aria-selected=true]:not(.select2-results__option--highlighted) {
    color: #fff;
    background-color: #dc3545 !important; 
}

.btn-primary {
    color: #fff;
    background-color: #9e0e12!important;
    border-color: #9e0e12!important;
}

.max-height-250{
	max-height: 250px!important;
}

.max-height-203{
	max-height: 203px!important;
}


/* PAGINATION */

.pagination > li > a
{
    background-color: white;
    color: #9e0e12;
}

.pagination > li > a:focus,
.pagination > li > a:hover,
.pagination > li > span:focus,
.pagination > li > span:hover
{
    color: #9e0e12;
    background-color: #eee;
    border-color: #ddd;
}

.pagination > .active > a
{
    color: white;
    background-color: #9e0e12 !Important;
    border: solid 1px #9e0e12 !Important;
}

.pagination > .active > a:hover
{
    background-color: #9e0e12 !Important;
    border: solid 1px #9e0e12;
}

.pagination > .active {
	border-top-style: none!important;
  }


  
/* TABLES */
table {
  border: 1px solid #ccc;
  border-collapse: collapse;
  width: 100%;
  table-layout: fixed;
}

table tr {
  background-color: #f8f8f8;
  border: 1px solid #ddd;
  padding: .35em;
}

table th,
table td {
  padding: .625em;
  text-align: center;
}

table th {
  font-size: .85em;
  letter-spacing: .1em;
  text-transform: uppercase;
}

@media screen and (max-width: 600px) {
  table {
    border: 0;
  }

  table caption {
    font-size: 1.3em;
  }
  
  table thead {
    border: none;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding-right: 1.225em;
	padding-top: 0;
	padding-bottom: 0;
	padding-left: 0;
    position: absolute;
    width: 1px;
  }
  
  table tr {
    border-bottom: 3px solid #ddd;
    display: block;
    margin-bottom: .625em;
  }
  
  table td {
    border-bottom: 1px solid #ddd;
    display: block;
    font-size: .8em;
    text-align: right;
  }
  
  table td::before {
    content: attr(data-label);
    float: left;
    font-weight: bold;
	padding-right: 1.225em;
	padding-top: 0;
	padding-bottom: 0;
	padding-left: 0;
    text-transform: uppercase;
  }
  
  table td:last-child {
    border-bottom: 0;
  }
}

/* MEDIA QUERIES */
@media only screen and (max-width: 992px) {
 .custom-width{
	width: 45%;
}
	
.large-title{
	font-size: 7rem;
	}
}

@media only screen and (max-width: 768px) {
 .custom-width{
	width: 55%;
}
	
.large-title{
	font-size: 6rem;
	}
}

@media only screen and (max-width: 576px) {
 .custom-width{
	width: 100%;
}
	
.large-title{
	font-size: 5rem;
	}
}
